IPTV (Template)
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIptvTemplateServerSetting | GET | Get IPTV setting template |
| modifyIptvTemplateServerSetting | PUT | Modify IPTV setting template |
| getIptvTemplate | GET | Get IPTV template setting |
| modifyIptvTemplate | PUT | Modify IPTV template setting |
getIptvTemplateServerSetting
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv
Get IPTV setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getIptvTemplateServerSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get IPTV setting template of the site with the given omadacId and siteTemplateId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
modifyIptvTemplateServerSetting
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv
Modify IPTV setting template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema IptvSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
igmpSetting | IgmpOpenApiVO | yes | (IgmpOpenApiVO not expanded; call omada_get_schema "IgmpOpenApiVO") |
iptvSetting | IptvOpenApiVO | no | (IptvOpenApiVO not expanded; call omada_get_schema "IptvOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyIptvTemplateServerSetting",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IPTV setting template with the given omadacId and siteTemplateId. There should be a gateway template model preconfigured, or else you cannot modify IPTV template setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33010 - This site template does not support current function.
-33013 - This name already exists in this site template.
getIptvTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/iptv
Get IPTV template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getIptvTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get IPTV template setting of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Global Site Template Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
modifyIptvTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/service/iptv/iptv
Modify IPTV template setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema IptvConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | |
wanPortId | string | yes | WAN port ID can be obtained from 'Get internet basic info' interface. |
mode | integer | yes | Mode should be a value as follows: 0:Bridge; 1:Custom |
customConfig | IptvCustomOpenApiVO | no | (IptvCustomOpenApiVO not expanded; call omada_get_schema "IptvCustomOpenApiVO") |
portConfig | array<IptvPortConfigOpenApiVO> | yes | All available ports need to be configured. The list of port ID is the same as that returned by "Get IPTV setting" |
dslConfig | IptvDslOpenApiVO | no | (IptvDslOpenApiVO not expanded; call omada_get_schema "IptvDslOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyIptvTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify IPTV template setting info of the site with the given params.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-33501 - This VLAN ID is already used by the WAN interface.
-34517 - This VLAN ID is already used by the LAN interface.
-34518 - This VLAN ID is already used by the IPTV interface.
-34519 - At least one Internet port is required.